
#ifndef BASIC_H
#define BASIC_H

#define PI 3.14159
#define TWO_PI 6.2832

class Visualization {
public:
	int startx, starty, xsize, ysize;
	Visualization();
	// dimensions of the Visualization object
	Visualization(int sx, int sy, int xs, int ys);
	// return whether click happens in this Visualization object
	int ClickDetected(int x, int y);
};

class Cube {
public:
	float sx, sy, sz;
	float size;
	Cube();
	// lower left bottom corner coordinates, size
	Cube(float x,float y,float z,float s);
	void Draw();
	void Init(float x,float y,float z,float s);
};

#endif

